File: guitest.css

package info (click to toggle)
gmerlin 2.0.0-1
  • links: PTS, VCS
  • area: main
  • in suites: forky, sid
  • size: 11,108 kB
  • sloc: ansic: 133,761; javascript: 6,967; makefile: 1,400; sh: 702; sed: 16
file content (131 lines) | stat: -rw-r--r-- 2,970 bytes parent folder | download | duplicates (3)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
html {
  font-family: Tahoma, Geneva, sans-serif;  
  font-size:   32px;
  }

hr {
    border: 0;
    height: 2px;
    margin: 0px;
    background-image: -webkit-linear-gradient(left, rgba(255,255,255,0), rgba(255,255,255,0.75), rgba(255,255,255,0));
    background-image:    -moz-linear-gradient(left, rgba(255,255,255,0), rgba(255,255,255,0.75), rgba(255,255,255,0));
    background-image:     -ms-linear-gradient(left, rgba(255,255,255,0), rgba(255,255,255,0.75), rgba(255,255,255,0));
    background-image:      -o-linear-gradient(left, rgba(255,255,255,0), rgba(255,255,255,0.75), rgba(255,255,255,0));
}


/* Button */

.button, .button_active, .button_disabled {
  color:      #101010;
  background: linear-gradient(to bottom, #a0a0a0, #808080);
  font-size:        40px;
  width:            50px;
  height:           50px;
  border-radius:    8px;
  outline:          0;
  border-style:     outset;
  border-width:     5px;
  border-color:     #808080;
      
  display:          table-cell;
  text-align:       center;
  vertical-align:   middle;
  text-decoration:  none;
  margin:           0px;
  cursor:     pointer;
}

.button:hover, .button:focus {
   background: linear-gradient(to bottom, #ffffff, #8f8f8f);
}

.button:focus {
   border-style:     outset;
   border-color:     #FF8000;
}

.button:active, .button_active {
   border-style:     inset;
   border-color:     #FF8000;
}

.button_disabled {
   color:            #F0F0F0;
   border-style:     solid;
   background-image: linear-gradient(to bottom, #f0f0f0, #808080);
}

/* Vertical slider */

div.vslider {
  right:        0px;
  width:        37px;
  height:       200px;
  border-width: 3px;
  border-style: inset;
  border-color: #808080;
}

div.vslider_handle {
  right:        0px;
  left:         0px;
  top:          0px;
  height:       20px;
  width:        31px;
  border-width: 3px;
  border-style: outset;
  border-color: #808080;
  border-radius: 10px;
  background: linear-gradient(to right, rgba(128,128,128,0.6), rgba(64,64,64,0.6));
}

/* Horizontal slider */
div.hslider {
  top:        0px;
  height:        37px;
  width:       200px;
  border-width: 3px;
  border-style: inset;
  border-color: #808080;
  background: linear-gradient(to right, rgba(0,0,0,0.8), rgba(255,255,255,0.8));
}

div.hslider:focus, div.vslider:focus {
   border-color:     #FF8000;
   outline: 0;
}

div.hslider_handle {
  right:        0px;
  left:         0px;
  top:          0px;
  width:       20px;
  height:        31px;
  border-width: 3px;
  border-style: outset;
  border-color: #808080;
  border-radius: 10px;
  background-image: linear-gradient(to right, #FF8000, #804000);
}

/* Menu */

.mainmenu {
  border-width: 3px;
  border-color: #808080;
  border-style: outset;
  outline:          0;
  background-color: #808080;
}

.mainmenuitem, .mainmenuitem_selected {
  border-width: 0px;
  padding:      3px;
}

.mainmenuitem_selected {
  color: #ffffff;
  background-color: #4c4fb7;
}